
%define debug_package %{nil}
Name:    tezos-accuser-PsRiotum
Version: 22.0rc2
Release: 1
Epoch: 1
Summary: Daemon for accusing
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-accuser-PsRiotum-22.0rc2.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v22.0-rc2/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , udev
%description
Daemon for accusing
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-accuser-PsRiotum
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-accuser-PsRiotum %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-accuser-PsRiotum %{buildroot}/%{_bindir}/tezos-accuser-PsRiotum



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-psriotum.service %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-psriotum@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-accuser-psriotum.default %{buildroot}/%{_sysconfdir}/default/tezos-accuser-psriotum

install -m 0755 tezos-accuser-psriotum-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-accuser-PsRiotum
%{_bindir}/tezos-accuser-PsRiotum

%{_bindir}/tezos-accuser-psriotum-start

%{_unitdir}/tezos-accuser-psriotum.service
%{_unitdir}/tezos-accuser-psriotum@.service

%{_sysconfdir}/default/tezos-accuser-psriotum



%post
%systemd_post tezos-accuser-psriotum.service
%systemd_post tezos-accuser-psriotum@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-accuser-psriotum.service
%systemd_preun tezos-accuser-psriotum@.service


%postun
%systemd_postun_with_restart tezos-accuser-psriotum.service
%systemd_postun_with_restart tezos-accuser-psriotum@.service



